-- #106
CREATE TABLE productshippingmethod (
     productid            integer  not null
,    shippingmethodid     integer  not null

,   constraint pk_productshippingmethod              primary key (productid,shippingmethodid)
,   constraint fk_productshippingmethod_productid foreign key (productid)
        references product                          (productid)
,   constraint fk_productshipping_smethod       foreign key (shippingmethodid)
        references shippingmethod                   (shippingmethodid)
)
GO
CREATE INDEX i_pshippmethod_smethod ON productshippingmethod (shippingmethodid)
GO
