-- #101
CREATE TABLE searchindex (
     searchindexid        integer  not null
,    shopid               integer  not null
,    indexstatus          tinyint  not null
,    remotesearchurl      varchar(255)  null
,    logging              bool  not null

,   constraint pk_searchindex                   primary key (searchindexid)
,   constraint fk_searchindex_searchindexid     foreign key (searchindexid)
        references object                           (objectid)
,   constraint fk_searchindex_shopid            foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_shop ON searchindex (shopid)
GO

CREATE INDEX i_indexstatus ON searchindex (indexstatus)
GO
