/*
 * @copyright		© Copyright 2006-2012, epages GmbH, All Rights Reserved.
 *
 * @module			ep.fn.showNextOn
 *
 * @revision		$$
 */

define("ep/fn/shownexton", [
	"jquery",
	"ep"
], function ($, ep) {

	ep.fn.showNextOn = function (event, selector, number, hideSelf) {
		var eventHandler = function (event) {
			var i = 0,
					next = event.data.$this.next(),
					number = event.data.number;
			hideSelf && event.data.$this.hide();
			for (i = 0; i < number; i++) {
				next = next
					.removeClass("HideElement")
					.show()
					.next();
			}
		};

		return this.each(function (index, value) {
			var $this = $(this);
			$this.one(event, selector, {number : number || 1, $this : $this}, eventHandler);
		});
	}

	return ep;

});