-- #301
CREATE TABLE attributepermission (
     trusteeid            integer  not null
,    attributeid          integer  not null
,    permission           tinyint  not null

,   constraint pk_permission                    primary key (attributeid,trusteeid)
,   constraint fk_attributepermission_trusteeid foreign key (trusteeid)
        references trustee                          (trusteeid)
,   constraint fk_attributepermission_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_attributepermission_trusteeid_attributeid ON attributepermission (trusteeid, attributeid)
GO
